> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/nl/api-documentatie/geopard-api-requests-overview/39.-mutation-set-custom-color-schemas-to-selected-geomaps.md).

# 39. Mutatie: aangepaste kleurschema's instellen voor geselecteerde "GeoMaps"

Stel aangepaste kleurenschema's in voor gegevenslagen: "ZonesMaps", "SoilDatasets".

Ondersteuning voor andere gegevenslagen ("YieldDataset", "TopographyMaps", "SatelliteImages") volgt binnenkort.

Werk alle kenmerken van de "GeoMap" bij:

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation UpdateGeoMaps {
  setGeoMaps(input: {
    geoMaps: [{
      fieldUuid: "<placeholder_of_field_uuid>",
      soilDatasetUuid: "<placeholder_of_soildataset_uuid>",
      shortName: "<origin_geomap_short_name>",
      classes: [
          11.288999557495117,
          31.641000747680664,
          42.30500030517578,
          56.132999420166016,
          105.81999969482422
        ],
      description: "<some_text_about_geomap>",
      fullName: "<geomap_full_name>",
      hexColorCodes: [
        "#ca0020",
        "#f4a582",
        "#f7f7f7",
        "#92c5de",
        "#0571b0"
      ]    
    }, {
      fieldUuid: "<placeholder_of_field_uuid>",
      vectorAnalysisMapUuid: "<placeholder_of_vectoranalysismap_uuid>",
      shortName: "<origin_geomap_short_name>",
      classes: [
          11.788000106811523,
          26.854999542236328,
          33.84000015258789,
          41.20100021362305,
          50.124000549316406,
          63.90299987792969,
          86.70500183105469,
          105.81999969482422
        ],
      description: "<some_text_about_geomap>",
      fullName: "<geomap_full_name>",
      hexColorCodes: [
        "#b2182b",
        "#ef8a62",
        "#fddbc7",
        "#f7f7f7",
        "#d1e5f0",
        "#67a9cf",
        "#2166ac"
      ]    
    }]
  }) {
    shortName
    fullName
    description
    classes
    hexColorCodes
    url
  }
}
```

{% endcode %}

Werk alleen de kleurenschema's van de "GeoMap" bij:

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation UpdateGeoMaps {
  setGeoMaps(input: {
    geoMaps: [{
      fieldUuid: "<placeholder_of_field_uuid>",
      soilDatasetUuid: "<placeholder_of_soildataset_uuid>",
      shortName: "<origin_geomap_short_name>",
      classes: [
          -6.5,
          100,
          162.60000610351562,
          245.8000030517578,
          493.29998779296875
        ],
      hexColorCodes: [
        "#ca0020",
        "#f4a582",
        "#f7f7f7",
        "#92c5de",
        "#0571b0"
      ]    
    }, {
      fieldUuid: "<placeholder_of_field_uuid>",
      vectorAnalysisMapUuid: "<placeholder_of_vectoranalysismap_uuid>",
      shortName: "<origin_geomap_short_name>",
      hexColorCodes: [
        "#b2182b",
        "#ef8a62",
        "#fddbc7",
        "#f7f7f7",
        "#d1e5f0",
        "#67a9cf",
        "#2166ac"
      ]    
    }]
  }) {
    shortName
    fullName
    description
    classes
    hexColorCodes
    url
  }
}
```

{% endcode %}

**BELANGRIJK** punten om te leren hoe je de mutation gebruikt:

1. Kenmerken `fieldUuid`, `soilDatasetUuid`/`vectorAnalysisMapUuid`, en `shortName` zijn verplicht om de juiste "GeoMap" te identificeren die moet worden aangepast. Deze drie kenmerken samen bepalen de unieke "GeoMap".
2. Per "GeoMap"-invoer moet `soilDatasetUuid` of `vectorAnalysisMapUuid` worden gebruikt.
3. De waarde van `shortName` moet overeenkomen met de oorspronkelijke waarde in de "GeoMap". Deze kan niet worden gewijzigd.
4. De kenmerken `fullName`, `description`, `hexColorCodes` kunnen voor "ZonesMaps" worden gewijzigd. Wijzigingen worden niet toegepast als het kenmerk niet is opgegeven.
5. Het kenmerk `fullName`, `description`, `classes`, `hexColorCodes` zijn bewerkbaar voor "SoilDatasets" en kunnen worden aangepast. Wijzigingen worden niet toegepast als het kenmerk niet wordt vermeld.
6. Arrays `classes` en `hexColorCodes` moeten precies even lang zijn als de bron in "GeoMap".
7. De lengte van de arrays "GeoMaps" in het verzoek en het antwoord moet gelijk zijn. Zo niet, dan zijn sommige "GeoMaps" niet succesvol bewerkt.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/nl/api-documentatie/geopard-api-requests-overview/39.-mutation-set-custom-color-schemas-to-selected-geomaps.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
